# Outward Transfer

This endpoint allows users to initiate outward transfers to external accounts or institutions. It facilitates the transfer of funds from the customer's account to external accounts or institutions.\
\ <mark style="color:green;">`POST`</mark> `/api/transfer/v1/outwardtransfer`\
\
You need to provide the necessary parameters, such as `beneficiaryAccountName`, `originatorAccountName`, `amount`, and other required information to successfully initiate an outward transfer.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="167">Name</th><th width="172">Data Type (length)</th><th width="102" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>nameEnquiryRef</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>The reference code from a name enquiry</td></tr><tr><td><code>amount</code></td><td>integer</td><td>true</td><td>The amount to be transferred in kobo<br><br><em><mark style="color:orange;">The amount must be provided in the base currency, e.g. NGN 5000.50 should be provided as 500050 kobo</mark></em></td></tr><tr><td><code>fee</code></td><td>integer <em>(nullible)</em></td><td>false</td><td>The fee associated with the transfer.  Any passed fee will override the existing configured fee by the institution within the CBA <br><br>Pass the fee as <code>0</code> if you do not want to charge a fee. The fee is also charged in Kobo</td></tr><tr><td><code>beneficiaryAccountName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>true</td><td>The account name of the transfer's beneficiary</td></tr><tr><td><code>beneficiaryAccountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>true</td><td>The account number of the transfer's beneficiary on Udara360 to credit</td></tr><tr><td><code>beneficiaryBankName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>true</td><td>The bank name of the transfer's beneficiary</td></tr><tr><td><code>beneficiaryBankVerificationNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>The BVN of the transfer's beneficiary</td></tr><tr><td><code>beneficiaryKycLevel</code></td><td>integer</td><td>false</td><td>The KYC level of the transfer's beneficiary</td></tr><tr><td><code>originatorAccountName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>true</td><td>The name of the account initiating the transfer</td></tr><tr><td><code>originatorAccountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>true</td><td>The account number initiating the transfer</td></tr><tr><td><code>originatorBankVerificationNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>The BVN of the account initiating the transfer</td></tr><tr><td><code>originatorKycLevel</code></td><td>integer</td><td>false</td><td>The KYC level of the originator</td></tr><tr><td><code>destinationInstitutionCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(6)</em></a></td><td>true</td><td>The bank code of the destination institution</td></tr><tr><td><code>originatorNarration</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(5-40)</em></a></td><td>true</td><td>The narration from the originator for the transfer</td></tr><tr><td><code>paymentReference</code></td><td>string</td><td>true</td><td>The name enquiry reference for the transfer</td></tr><tr><td><code>transactionLocation</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>The location of the transaction</td></tr><tr><td><code>beneficiaryNarration</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(5-40)</em></a></td><td>true</td><td>The narration for the beneficiary</td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/transfer/v1/outwardtransfer' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "amount": 0,
  "fee": 0,
  "beneficiaryAccountName": "string",
  "beneficiaryAccountNumber": "string",
  "beneficiaryBankName": "string",
  "beneficiaryBankVerificationNumber": "string",
  "beneficiaryKycLevel": 0,
  "originatorAccountName": "string",
  "originatorAccountNumber": "string",
  "originatorBankVerificationNumber": "string",
  "originatorKycLevel": 0,
  "destinationInstitutionCode": "string",
  "nameEnquiryRef": "string",
  "originatorNarration": "string",
  "paymentReference": "string",
  "transactionLocation": "string",
  "beneficiaryNarration": "string"
}'
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string",
  "data": {
    "statusCode": "string",
    "referenceNumber": "string",
    "instrumentNumber": "string",
    "sessionID": "string"
  }
}
```

</details>

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/transactions/transfer-api/outward-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
